# -*- Mode: Python; tab-width: 4 -*-

import sys
sys.path.append ('c:/users/rushing/python')
import vecfont

import windll
import wingdi

cstring = windll.cstring
gdi32 = windll.module ('gdi32')

def test():
	# create a printer dc
	dc = gdi32.CreateDC (
		0,
		cstring('laserD'),
		0,
		0
		)
	
	di = wingdi.DOCINFO()
	# tricky... need to look at this.
	di.cb_size = di.size
	doc_name = cstring ('testing')
	di.doc_name = doc_name.address()
	di.output = 0
	di.datatype = 0
	di.type = 0

	di.describe()

	gdi32.StartDoc (dc, di)
	
	gdi32.StartPage (dc)
	# draw some stuff...

	px = 100
	py = 400

	gdi32.MoveToEx (dc, px, py, 0)

	for letter in vecfont.letters:
		for line in letter:
			gdi32.MoveToEx (dc, px+line[0][0], py-line[0][1], 0)
			for (x,y) in line:
				gdi32.LineTo (dc, px+x, py-y)

		px = px + 50

	gdi32.EndPage (dc)
	gdi32.EndDoc (dc)
	gdi32.DeleteDC (dc)

if __name__ == '__main__':
	test()
